Webhook
Puan Kaydı İşlemi
Header Parameters
Signature*string
Webhook imzası
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
event?string
Default
"point_history"user?
waas_user_mapping?
data?
{
"event": "point_history",
"user": {
"id": 1,
"uuid": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"region": "TR",
"locale": "tr",
"first_name": "Macellan",
"last_name": "Superapp",
"full_name": "Macellan SuperApp",
"email": "[email protected]",
"phone": 905231113344,
"details": {
"subscribe_sms": false,
"subscribe_email": false,
"gender": "male",
"id_number": 11111111111
}
},
"waas_user_mapping": {
"id": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
},
"data": {
"id": 1,
"type": "usage",
"payment_id": 1,
"amount": 1,
"point": {
"id": 1,
"type": "campaign",
"created_at": "2019-08-24T14:15:22Z",
"campaign": {
"id": 1,
"name": "Yaz Kampanyası",
"type": "deposit_gift",
"code": "SUMMER2026"
}
},
"created_at": "2019-08-24T14:15:22Z"
}
}Response Body
Example Requests
POST
/pointHistory